Page MenuHomePhabricator

Implement and test words_to_watch features for draftquality and articlequality
Closed, ResolvedPublic

Description

Use the new draftquality features to extend the features for draft quality and see if we can get some more fitness.

See badwords/informals features here: https://github.com/wikimedia/draftquality/blob/master/draftquality/feature_lists/enwiki.py#L123

See english words to watch here: https://github.com/wikimedia/revscoring/blob/master/revscoring/languages/english.py#L266

Basic idea is to extend the feature list, re-tune the model, re-train the model and compare against what is deployed.

Event Timeline

Halfak created this task.Jan 17 2019, 9:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 17 2019, 9:33 PM
Halfak assigned this task to hoo.Jan 17 2019, 9:33 PM
Halfak added a comment.Feb 4 2019, 4:59 PM

Added some comments on both.

Halfak added a comment.Feb 5 2019, 3:45 PM

Looks like there are some improvements now! Can you report on what the filesize differences are for the best params vs. fixing at 100 n_estimators?

Halfak renamed this task from Implement and test words_to_watch features for draftquality to Implement and test words_to_watch features for draftquality and articlequality.

Change 489240 had a related patch set uploaded (by Halfak; owner: Halfak):
[mediawiki/services/ores/deploy@master] General updates.

https://gerrit.wikimedia.org/r/489240

Change 489240 merged by Ladsgroup:
[mediawiki/services/ores/deploy@master] General updates.

https://gerrit.wikimedia.org/r/489240

Halfak added a comment.Apr 3 2019, 1:16 PM

Right. I don't want to close that because I think there's more for us to try (that I might pitch at the Hackathon. But I think we should call this general task done.

Ladsgroup closed this task as Resolved.Apr 17 2019, 6:27 PM